{{!-- template-lint-disable no-invalid-interactive --}}
<div class="bs-color-picker" ...attributes {{on "click" this.handleClick}} {{did-insert this.setup}}>
  <Editor::Properties::OptionContainer @label={{@label}}>
    <div class="selected-value bg-{{this.value}}"></div>

    <div class="selector {{if this.isVisible '' 'd-none'}}">
      <Input::BsColor @space={{@space}} @onChange={{this.change}} @space={{@space}} @value={{this.value}} />
    </div>
  </Editor::Properties::OptionContainer>
</div>